


/*
Theme Name: Its-a-boy
Theme URI: http://www.onewaylinks.co.uk/
Author: One Way Links
Author URI: http://www.onewaylinks.co.uk/
Version: 1.0
Tags: light green, fixed width, two columns, widget ready
*/






/* ----------------------------------------------
   HTML ELEMENTS
------------------------------------------------- */


* {
margin : 0;
padding : 0;
outline : 0;
}
body {
font : 12px/165% arial;
color : #222;
margin : 0;
padding : 0 0 50px 0;
background : #1c2202;
text-align : center;
}
.mailsub {
color : #000;
}
.mailsub fieldset {
border : none;
padding : 0;
margin : 0;
}
.mailsub form {
padding : 0 0 0 0;
margin : 0 0 0 0;
border : none;
}
.mailsub input {
color : #666;
font-size : 12px;
}
.mailsub input.mail {
width : 205px;
background : url(./images/subbut.jpg) no-repeat;
}
.mailsub input.searchIE {
width : 32px;
height : 29px;
background : url(./images/subbut.jpg) no-repeat 0 -79px;
}
* html #buttonsearch {
margin : -29px 0 0 216px;
}
#buttonsearch {
padding : 0;
margin : -28px 0 0 216px;
top : 0;
background : none;
}
.author {
padding-left : 11px;
}
.top_comments {
float : right;
padding-top : 5px;
}
.subscribebg {
background : url(images/textbg.jpg) no-repeat;
border : none;
width : 216px;
}
input.subscribe {
margin-left : 32px;
background : transparent;
width : 160px;
padding-left : 5px;
color : #666;
border : none;
}
.subbut {
float : right;
vertical-align : top;
border : 0;
}
.mailbg {
height : 87px;
width : 403px;
background : url(images/mailbg.jpg) repeat-x;
}
a {
text-decoration : none;
color : #1c2202;
}
a:hover {
color : #1c2202;
text-decoration : underline;
}
h1, h2, h3 {
font : bold 1em/1.5em georgia;
color : #e0ebb3;
padding : 15px 10px 5px 10px;
margin : 0;
}
h1 {
font-size : 245%;
font-weight : normal;
letter-spacing : -2px;
}
h2 {
font-size : 180%;
padding-left : 40px;
font-weight : normal;
}
h3 {
font-size : 170%;
font-weight : normal;
}
h4 {
font-size : 120%;
font-weight : normal;
}
h5 {
font-size : 120%;
font-weight : normal;
}
h6 {
font-size : 100%;
font-weight : normal;
}
p, dl {
padding : 10px;
margin : 0;
}
ul, ol {
margin : 10px 20px;
padding : 0 20px;
}
ul {
list-style : none;
}
dt {
font-weight : bold;
color : #895f30;
}
dd {
padding-left : 25px;
}
.col-one img {
background : #fafafa;
border : 1px solid #dcdcdc;
margin : 3px;
padding : 2px;
}
img.float-right {
margin : 5px 0 10px 10px;
}
img.float-left {
margin : 5px 10px 10px 0;
}
code {
margin : 5px 0;
padding : 15px;
text-align : left;
display : block;
overflow : auto;
font : 500 1em/1.5em 'Lucida Console', 'courier new', monospace;
border : 1px solid #ebebeb;
background : #f0f0f0;
}
acronym {
cursor : help;
border-bottom : 1px dotted #895f30;
}
blockquote {
margin : 15px 10px;
padding : 10px 10px 10px 35px;
background : #f1f3e1 url(images/quote.jpg) no-repeat 10px 10px;
font-weight : normal;
font-size : 11px;
line-height : 1.5em;
font-style : normal;
border : 1px solid #edefe0;
font-family : Georgia, "Times New Roman", Times, serif;
color : #555;
}
table {
border-collapse : collapse;
margin : 15px 1px;
}
th {
color : #555;
background : #e6e6e6;
height : 38px;
padding-left : 12px;
padding-right : 12px;
text-align : left;
border-width : 1px;
border-style : solid;
border-color : #ebebeb #d4d4d4 #d4d4d4 #ebebeb;
}
tr {
height : 34px;
background : #fff;
}
td {
padding-left : 0;
padding-right : 0;
border : 0 solid #ececec;
}
form {
margin : 15px 10px;
padding : 5px 10px 20px 10px;
border : 1px solid #f1f1f1;
background : #fdfdfd;
}
label {
display : block;
font-weight : bold;
margin : 8px 0 5px 0;
color : #b2b59e;
}
input, select {
padding : 4px;
font : normal 1em Verdana, sans-serif;
color : #666666;
background : #fff;
}
textarea {
width : 350px;
padding : 4px;
font : normal 1em Verdana, sans-serif;
height : 100px;
display : block;
color : #333;
}
input, textarea, select {
background : #fff;
border-width : 1px;
border-style : solid;
border-color : #d4d4d4 #ebebeb #ebebeb #d4d4d4;
}
input.button {
font : bold 12px Arial, Sans-serif;
height : 30px;
margin : 0;
padding : 2px 3px;
color : #eee;
background : #484848;
border-width : 1px;
border-style : solid;
border-color : #484848 #484848 #484848 #484848;
}
.search_top {
position : relative;
background-color : transparent;
border : none;
margin : 0;
padding : 12px 0 15px 8px;
width : 190px;
left : 51px;
}
.rss_icon {
position : relative;
margin-top : -17px;
padding-left : 18px;
border : none;
width : 21px;
height : 21px;
color : #fff;
left : 211px;
}
.rss {
position : relative;
margin-top : -20px;
background-color : transparent;
border : none;
width : 150px;
color : #fff;
left : 250px;
}
.rss a {
color : #f1f5cf;
font : 12px "trebuchet MS", georgia, verdana, arial;
}
.rss a:hover {
color : #fff;
text-decoration : underline;
}
.searchform {
color : #f1f5cf;
position : relative;
background-color : transparent;
border : none;
margin : 0;
padding : 12px 0 15px 8px;
width : 190px;
top : 10px;
left : 21px;
}
.searchform p {
margin : 0;
padding : 0 0 10px 0;
}
.searchform input.textbox {
width : 115px;
color : #666666;
height : 18px;
padding : 2px;
vertical-align : top;
}
.searchform input.button {
width : 60px;
height : 24px;
padding : 2px 5px;
vertical-align : top;
}
#header-wrap {
position : relative;
background : #fff;
margin : 0 auto;
width : 1005px;
height : 260px;
text-align : left;
}
#header-photo {
position : absolute;
top : 0;
left : 0;
padding : 0;
height : 351px;
width : 1005px;
clear : both;
background : #fff url(images/header.jpg) no-repeat;
}
#header-photo img {
border : none;
margin : 0;
padding : 0;
}
#nav {
position : absolute;
margin : 0;
padding : 0;
width : 974px;
left : 27px;
top : 287px;
}
#nav ul {
float : left;
list-style : none;
width : 974px;
height : 20px;
margin : 0;
padding : 0;
display : inline;
}
#nav ul li {
display : inline;
margin : 0;
padding : 0;
}
#nav ul li a {
float : left;
margin : 0;
font : bold 12px/35px 'Trebuchet MS', Tahoma, Helvetica, Arial, Geneva, Sans-serif;
color : #c3cc89;
padding : 18px 11px 0 11px;
text-decoration : none;
text-transform : uppercase;
}
#nav ul li a:hover, #nav ul li a:active {
color : #e1e6c2;
background : none;
border : none;
}
#nav ul li.current_page_item a {
color : #e1e6c2;
border-bottom : 1px solid #fff;
}
#menu ul li.current_page_item a, #menu ul li.current_page_item a:hover {
color : #e1e6c2;
border-bottom : 1px solid #e1e6c2;
}
#nav span.feed {
padding : 0 18px 0 0;
background : url(images/feed.gif) no-repeat right center;
}
#header-wrap h1#logo-text a {
position : absolute;
margin : 0;
padding : 0;
font : normal 24px georgia, 'trebuchet MS', 'Times New Roman', Times, serif;
letter-spacing : -1.8px;
color : #044056;
text-decoration : none;
text-transform : capitalize;
top : 51px;
left : 735px;
}
#header-wrap h1#logo-text a:hover {
color : #044856;
background : none;
border : none;
}
#header-wrap p#intro {
position : absolute;
margin : 0;
padding : 0;
font-family : georgia, "Trebuchet MS", 'Times New Roman', Times, serif;
font-weight : normal;
font-size : 14px;
line-height : 1.6em;
text-transform : none;
color : #044056;
width : 400px;
top : 81px;
left : 735px;
}
#header-wrap form#quick-search {
position : absolute;
top : 7px;
right : 55px;
padding : 0;
margin : 0;
width : 188px;
height : 25px;
background : url(images/searchbg.png);
z-index : 999999;
border : 0 solid #d8d8d8;
}
#header-wrap form#quick-search p {
margin : 0;
padding : 0;
}
#header-wrap form#quick-search .tbox {
margin : 2px 0 0 4px;
width : 210px;
background : none;
border : none;
color : #fff;
font-size : 10px;
}
#header-wrap form#quick-search label, #header-wrap form#quick-search .btn {
display : none;
}
#content-outer {
margin : 0 auto;
background : #f0f4d4;
width : 1005px;
}
#content-wrapper {
padding-top : 115px;
width : 1005px;
margin : 0 auto;
text-align : left;
}
#content-feed {
width : 1000px;
margin : 0 auto;
padding : 5px 1px 10px 5px;
text-align : left;
}
#content {
float : left;
width : 100%;
background : #f0f4d4 url(images/content-bg.jpg) no-repeat;
}
.col-one {
margin-right : 380px;
padding-left : 20px;
}
.col-mid {
float : right;
width : 350px;
margin-left : -365px;
margin-top : 12px;
margin-bottom : 12px;
padding-right : 10px;
}
.col-two {
float : left;
width : 210px;
margin-top : 5px;
}
.col-three {
float : right;
width : 210px;
margin-top : 12px;
}
.col-one, .col-two, .col-three {
padding-bottom : 10px;
}
#content .col-one h2 {
padding-bottom : 3px;
font : normal 2.1em georgia, "Trebuchet MS", Tahoma, Arial, Sans-serif;
color : #1c2202;
letter-spacing : -2px;
text-transform : none;
border-bottom : 1px solid #ebebeb;
margin-left : 5px;
padding-left : 5px;
}
#content .col-one h2 a {
color : #1c2202;
text-decoration : none;
background : none;
border : none;
}
#content .col-one h2 a:hover {
color : #747b43;
}
#content .col-one ul li {
list-style-image : url(images/bullet.gif);
}
#content-wrapper .col-mid h2, #content-wrapper .col-two h2, #content-wrapper .col-three h2 {
width : 240px;
background : #dce1bd;
color : #4e5139;
font : normal 12px georgia, "Trebuchet MS", Tahoma, Arial, sans-serif;
text-transform : uppercase;
letter-spacing : -0.5px;
padding : 5px 10px;
margin : 15px 0 5px 0;
}
ul.sidemenu {
text-align : left;
margin : 3px 5px 3px 40px;
padding : 0;
text-decoration : none;
background : url(images/dots1.gif) repeat-x left top;
}
ul.sidemenu li {
list-style : none;
background : url(images/dots1.gif) repeat-x left bottom;
padding : 2px 10px;
margin : 0;
}
* html body ul.sidemenu li {
height : 1%;
}
ul.sidemenu li a {
text-decoration : none;
background-image : none;
background-color : transparent;
border : none;
color : #6a6a6a;
}
ul.sidemenu li a span {
color : #989898;
font-family : Georgia, "Times New Roman", Times, serif;
font-style : italic;
font-weight : normal;
font-size : 1em;
}
ul.sidemenu li a:hover {
color : #333;
background : none;
border : none;
text-decoration : underline;
}
ul.sidemenu ul {
margin : 0 0 0 5px;
padding : 0;
}
ul.sidemenu ul li {
background : none;
}
#footer-wrapper {
background : #9aa266;
clear : both;
width : 1005px;
margin : 0 auto;
text-align : left;
font : normal 1em/1.6em 'Trebuchet MS', Tahoma, Sans-serif;
}
#footer-wrapper h3, #footer-wrapper p {
padding-left : 0;
}
#footer-wrapper h3 {
font : normal 1.6em/1.6em 'Trebuchet MS', Tahoma, Arial, Sans-serif;
color : #ababab;
}
#footer-wrapper a {
color : #fff;
background : transparent;
}
#footer-wrapper ul.footer-list {
list-style : none;
padding : 0;
margin : 0;
}
#footer-wrapper ul.footer-list li {
margin : 0;
padding : 0;
margin-left : 0;
padding-left : 0;
}
#footer-wrapper ul.footer-list li li {
border-bottom : 1px solid #c9d28e;
}
#footer-wrapper ul.footer-list li a, #footer-wrapper ul.footer-list li li a {
display : block;
width : 100%;
line-height : normal;
font-weight : bold;
padding : 4px 0;
border : none;
margin-left : 0;
padding-left : 0;
color : #000000;
}
#footer-wrapper ul.footer-list li a span, #footer-wrapper ul.footer-list li li a span {
color : #000;
font-style : italic;
font-weight : normal;
font-family : Georgia, 'Times New Roman', Times, serif;
}
#footer-wrapper ul.footer-list li a:hover, #footer-wrapper ul.footer-list li li a:hover, #footer-wrapper ul.footer-list li a:hover span, #footer-wrapper ul.footer-list li li a:hover span {
color : #fff;
text-decoration : none;
}
#footer {
background : #b6c073;
float : left;
width : 100%;
padding : 0;
margin-left : 0;
margin-top : 0;
padding-bottom : 15px;
}
#footer-bottom {
clear : both;
width : 1005px;
margin : 0 auto;
color : #ffffff;
}
#footer-bottom .bottom-left a, #footer-bottom .bottom-right a {
color : #474b30;
background : transparent;
}
#footer-bottom .bottom-left a, #footer-bottom .bottom-right a:hover {
color : #222;
background : transparent;
}
#footer-bottom .bottom-left {
float : left;
padding-left : 15px;
font-size : 95%;
}
#footer-bottom .bottom-right {
text-align : right;
font-size : 95%;
}
.bottom-col-one {
width : 32%;
float : left;
}
.bottom-col-two {
width : 32%;
float : left;
}
.bottom-col-three {
width : 32%;
float : left;
}
.postmeta {
padding : 5px;
margin : 20px 10px 15px 10px;
font-size : 1em;
color : #c9c9c9;
border : 1px solid #f0f0f0;
background : #484848;
}
.postmeta a {
color : #fff;
background : transparent;
}
.postmeta .date {
margin : 0 10px 0 5px;
}
.postmeta a.comments {
margin : 0 10px 0 5px;
}
.postmeta a.readmore {
margin : 0 10px 0 5px;
}
.post-info {
font-size : 0.95em;
padding-top : 3px;
margin-left : 5px;
color : #bababa;
}
.post-info a {
color : #000;
}
p.thumbs {
padding : 12px 0 0 10px;
}
.thumbs img {
position : relative;
padding : 4px;
margin : 5px;
background : #fafafa;
border : 1px solid #dcdcdc;
}
.thumbs img:hover {
border : 1px solid #8e8e8e;
background : #8e8e8e;
}
.thumbs a:hover {
background-color : transparent;
border : none;
}
.float-left {
float : left;
}
.float-right {
float : right;
}
.align-left {
text-align : left;
}
.align-right {
text-align : right;
}
.clearer {
clear : both;
}
.clear {
display : inline-block;
}
.clear:after {
display : block;
visibility : hidden;
clear : both;
height : 0;
content : ".";
}
.clearsmall {
padding-bottom : 10px;
}
.float-left {
float : left;
}
.float-right {
float : right;
}
.align-left {
text-align : left;
}
.align-right {
text-align : right;
}
.clearer {
clear : both;
}
.col-mid .sponsors img.ml {
margin-bottom : 4px;
padding : 1px;
margin-right : 4px;
overflow : hidden;
}
img a {
border : none;
}
img {
border : 0;
}
.clearhigh {
clear : both;
display : block;
height : 10px;
overflow : hidden;
margin : 0;
padding : 0;
}
.clear {
display : inline-block;
}
.clear:after {
display : block;
visibility : hidden;
clear : both;
height : 0;
content : ".";
}
.tab_container {
margin : 0 10px;
padding : 0;
border : 5px solid #000;
}
.tab_container_in {
margin : 0;
padding : 10px 0;
border-left : 1px solid #dddddd;
border-top : 1px solid #dddddd;
border-right : 1px solid #cccccc;
border-bottom : 1px solid #cccccc;
}
.tab_menu_container {
margin : 0 10px;
padding : 0 0 0 0;
height : 30px;
background-color : #000;
}
#tab_menu li {
margin : 0;
padding : 5px 5px 2px 0;
font-size : 11px;
line-height : normal;
float : left;
list-style : none;
cursor : pointer;
border-bottom : none;
}
#tab_menu .first {
padding : 5px 5px 2px 6px;
}
#tab_menu li a, #tab_menu li a:visited {
margin : 0;
padding : 3px 6px 3px 6px;
color : #ffffff;
text-decoration : none;
display : block;
}
#tab_menu li a:hover, #tab_menu li a.current {
background-color : #fff;
color : #000000;
text-decoration : none;
}
.tab_content_list {
display : none;
}
#tab_content_tags a, #tab_content_tags a:visited {
color : #fff;
text-decoration : none;
}
#tab_content_tags a:hover {
color : #ffffff;
text-decoration : none;
}
.tab_container ul {
list-style : none;
}
#comments {
clear : both;
background : #f8faec;
padding : 15px;
}
#comments a, #comments a:hover {
text-decoration : none;
}
#comments h2 {
margin : 0;
color : #333;
}
#comments dl {
margin : 0;
padding : 0;
}
#comments dt {
padding : 8px 0 0 0;
font-size : 1.2em;
border-top : 1px dotted #99c;
color : #b6c073;
}
#comments dt.highlighted {
padding : 8px;
background : #fc0;
border : 4px solid #fff;
}
#comments dd.highlighted {
background : #fff;
padding : 2px 8px;
}
#comments h3, #postComment h3 {
padding : 0;
margin : 0 0 15px 0;
color : #ccc;
}
#postComment {
background : #f1f3e1;
padding : 15px;
}
#postComment label {
width : 320px;
display : block;
float : left;
clear : both;
margin : 5px 0 0 0;
}
#postComment input, #postComment textarea {
margin : 5px 0 0 0;
width : 347px;
}
#postComment textarea {
background : #f9f9f9;
height : 160px;
}
#postComment .button {
padding : 5px;
clear : both;
width : 100px;
margin : 10px 0 0 0;
}
#comments a {
background : none;
}
.mailspace {
height : 100px;
}
.col-mid .sponsors img.ml {
margin-bottom : 4px;
padding : 1px;
margin-right : 4px;
overflow : hidden;
}
img a {
border : none;
}
.clearhigh {
clear : both;
display : block;
height : 10px;
overflow : hidden;
margin : 0;
padding : 0;
}
.clear {
display : inline-block;
}
.clear:after {
display : block;
visibility : hidden;
clear : both;
height : 0;
content : ".";
}
#box-ads {
margin : 0;
padding : 1px 0 0 30px;
float : left;
width : 255px;
}
#box-ads .top-tab {
float : left;
height : 35px;
width : 255px;
}
#box-ads .tab-content {
float : left;
width : 225px;
padding : 0;
}
#box-ads .tab-content h3 {
font : bold 14px 'Trebuchet MS', georgia, arial;
line-height : 23px;
color : #0c86ae;
margin : 0;
padding-left : 18px;
float : left;
width : 255px;
text-transform : uppercase;
}
#box-ads .bot-tab {
float : left;
height : 22px;
width : 388px;
}
.adsponsor {
margin : 0;
padding : 10px 20px;
float : left;
width : 225px;
}
.adsponsor img {
padding : 5px;
border : 0 solid #cccccc;
margin-right : 20px;
margin-bottom : 0;
}
.adsponsor p {
font-size : 12px;
margin : 10px 0 0;
padding : 5px;
float : left;
width : 225px;
font-weight : bold;
color : #000000;
}
.adsponsor p a {
color : #006699;
text-decoration : underline;
}
.adsponsor img:hover {
padding : 5px;
border : 0 solid #999999;
margin-right : 20px;
margin-bottom : 0;
}
#subrss {
background : url(images/rss_subscribe.jpg) no-repeat;
margin : 0;
padding : 1px 0 0 45px;
float : right;
height : 34px;
width : 266px;
font-size : 11px;
line-height : 18px;
color : #333333;
font-weight : bold;
}
#subrss a {
color : #006699;
text-decoration : underline;
}
#subrss img {
border-width : 0;
margin-bottom : 10px;
}
.email-subscriptions {
margin : 0;
padding : 1px 0 20px 45px;
float : left;
width : 250px;
}
.email-subscriptions form {
float : left;
width : 240px;
background : #8bbf0d;
padding-top : 10px;
padding-bottom : 10px;
margin : 0;
}
.email-subscriptions h5 {
font-size : 17px;
margin : 0 0 4px;
padding-left : 5px;
float : left;
width : 268px;
color : #056070;
font-weight : normal;
line-height : 21px;
}
.email-subscriptions p {
margin : 0 4px 0 0;
padding : 0;
float : left;
}
.email-subscriptions .feedbox {
width : 137px;
border-top : 1px solid #fff;
border-right : 1px solid #fff;
border-bottom : 1px solid #fff;
border-left : 1px solid #fff;
margin-left : 5px;
padding-left : 5px;
float : left;
font-family : Georgia, "Times New Roman", Helvetica, sans-serif;
color : #000;
font-size : 12px;
background : #e9f5cc url(images/socials/email.gif) no-repeat 130px center;
}
.email-subscriptions .feed-submit {
background : #303030;
color : #fff;
padding : 5px;
border : none;
font-size : 11px;
}
* {
margin : 0;
padding : 0;
outline : 0;
}
body {
font : 12px/165% arial;
color : #222;
margin : 0;
padding : 0 0 50px 0;
background : #1c2202;
text-align : center;
}
.mailsub {
color : #000;
}
.mailsub fieldset {
border : none;
padding : 0;
margin : 0;
}
.mailsub form {
padding : 0 0 0 0;
margin : 0 0 0 0;
border : none;
}
.mailsub input {
color : #666;
font-size : 12px;
}
.mailsub input.mail {
width : 205px;
background : url(./images/subbut.jpg) no-repeat;
}
.mailsub input.searchIE {
width : 32px;
height : 29px;
background : url(./images/subbut.jpg) no-repeat 0 -79px;
}
* html #buttonsearch {
margin : -29px 0 0 216px;
}
#buttonsearch {
padding : 0;
margin : -28px 0 0 216px;
top : 0;
background : none;
}
.author {
padding-left : 11px;
}
.top_comments {
float : right;
padding-top : 5px;
}
.subscribebg {
background : url(images/textbg.jpg) no-repeat;
border : none;
width : 216px;
}
input.subscribe {
margin-left : 32px;
background : transparent;
width : 160px;
padding-left : 5px;
color : #666;
border : none;
}
.subbut {
float : right;
vertical-align : top;
border : 0;
}
.mailbg {
height : 87px;
width : 403px;
background : url(images/mailbg.jpg) repeat-x;
}
a {
text-decoration : underline;
color : #7b3c32;
}
a:hover {
color : #22020c;
text-decoration : none;
}
h1, h2, h3 {
font : bold 1em/1.5em georgia;
color : #e0ebb3;
padding : 15px 10px 5px 10px;
margin : 0;
}
h1 {
font-size : 245%;
font-weight : normal;
letter-spacing : -2px;
}
h2 {
font-size : 180%;
padding-left : 40px;
font-weight : normal;
}
h3 {
font-size : 170%;
font-weight : normal;
}
h4 {
font-size : 120%;
font-weight : normal;
}
h5 {
font-size : 120%;
font-weight : normal;
}
h6 {
font-size : 100%;
font-weight : normal;
}
p, dl {
padding : 10px;
margin : 0;
}
ul, ol {
margin : 10px 20px;
padding : 0 20px;
}
ul {
list-style : none;
}
dt {
font-weight : bold;
color : #895f30;
}
dd {
padding-left : 25px;
}
.col-one img {
background : #fafafa;
border : 1px solid #dcdcdc;
margin : 3px;
padding : 2px;
}
img.float-right {
margin : 5px 0 10px 10px;
}
img.float-left {
margin : 5px 10px 10px 0;
}
code {
margin : 5px 0;
padding : 15px;
text-align : left;
display : block;
overflow : auto;
font : 500 1em/1.5em 'Lucida Console', 'courier new', monospace;
border : 1px solid #ebebeb;
background : #f0f0f0;
}
acronym {
cursor : help;
border-bottom : 1px dotted #895f30;
}
blockquote {
margin : 15px 10px;
padding : 10px 10px 10px 35px;
background : #f1f3e1 url(images/quote.jpg) no-repeat 10px 10px;
font-weight : normal;
font-size : 11px;
line-height : 1.5em;
font-style : normal;
border : 1px solid #edefe0;
font-family : Georgia, "Times New Roman", Times, serif;
color : #555;
}
table {
border-collapse : collapse;
margin : 15px 1px;
}
th {
color : #555;
background : #e6e6e6;
height : 38px;
padding-left : 12px;
padding-right : 12px;
text-align : left;
border-width : 1px;
border-style : solid;
border-color : #ebebeb #d4d4d4 #d4d4d4 #ebebeb;
}
tr {
height : 34px;
background : #fff;
}
td {
padding-left : 0;
padding-right : 0;
border : 0 solid #ececec;
}
form {
margin : 15px 10px;
padding : 5px 10px 20px 10px;
border : 1px solid #f1f1f1;
background : #fdfdfd;
}
label {
display : block;
font-weight : bold;
margin : 8px 0 5px 0;
color : #b2b59e;
}
input, select {
padding : 4px;
font : normal 1em Verdana, sans-serif;
color : #666666;
background : #fff;
}
textarea {
width : 350px;
padding : 4px;
font : normal 1em Verdana, sans-serif;
height : 100px;
display : block;
color : #333;
}
input, textarea, select {
background : #fff;
border-width : 1px;
border-style : solid;
border-color : #d4d4d4 #ebebeb #ebebeb #d4d4d4;
}
input.button {
font : bold 12px Arial, Sans-serif;
height : 30px;
margin : 0;
padding : 2px 3px;
color : #eee;
background : #484848;
border-width : 1px;
border-style : solid;
border-color : #484848 #484848 #484848 #484848;
}
.search_top {
position : relative;
background-color : transparent;
border : none;
margin : 0;
padding : 12px 0 15px 8px;
width : 190px;
left : 51px;
}
.rss_icon {
position : relative;
margin-top : -17px;
padding-left : 18px;
border : none;
width : 21px;
height : 21px;
color : #fff;
left : 211px;
}
.rss {
position : relative;
margin-top : -20px;
background-color : transparent;
border : none;
width : 150px;
color : #fff;
left : 250px;
}
.rss a {
color : #f1f5cf;
font : 12px "trebuchet MS", georgia, verdana, arial;
}
.rss a:hover {
color : #fff;
text-decoration : underline;
}
.searchform {
color : #f1f5cf;
position : relative;
background-color : transparent;
border : none;
margin : 0;
padding : 12px 0 15px 8px;
width : 190px;
top : 10px;
left : 21px;
}
.searchform p {
margin : 0;
padding : 0 0 10px 0;
}
.searchform input.textbox {
width : 145px;
color : #666666;
height : 18px;
padding : 2px;
vertical-align : top;
}
.searchform input.button {
width : 60px;
height : 24px;
padding : 2px 5px;
vertical-align : top;
}
#header-wrap {
position : relative;
background : #fff;
margin : 0 auto;
width : 1005px;
height : 260px;
text-align : left;
}
#header-photo {
position : absolute;
top : 0;
left : 0;
padding : 0;
height : 351px;
width : 1005px;
clear : both;
background : #fff url(images/header.jpg) no-repeat;
}
#header-photo img {
border : none;
margin : 0;
padding : 0;
}
#nav {
position : absolute;
margin : 0;
padding : 0;
width : 974px;
left : 27px;
top : 287px;
}
#nav ul {
float : left;
list-style : none;
width : 974px;
height : 20px;
margin : 0;
padding : 0;
display : inline;
}
#nav ul li {
display : inline;
margin : 0;
padding : 0;
}
#nav ul li a {
float : left;
margin : 0;
font : bold 12px/35px 'Trebuchet MS', Tahoma, Helvetica, Arial, Geneva, Sans-serif;
color : #c3cc89;
padding : 18px 11px 0 11px;
text-decoration : none;
text-transform : uppercase;
}
#nav ul li a:hover, #nav ul li a:active {
color : #e1e6c2;
background : none;
border : none;
}
#nav ul li.current_page_item a {
color : #e1e6c2;
border-bottom : 1px solid #fff;
}
#menu ul li.current_page_item a, #menu ul li.current_page_item a:hover {
color : #e1e6c2;
border-bottom : 1px solid #e1e6c2;
}
#nav span.feed {
padding : 0 18px 0 0;
background : url(images/feed.gif) no-repeat right center;
}
#header-wrap h1#logo-text a {
position : absolute;
margin : 0;
padding : 0;
font : normal 24px georgia, 'trebuchet MS', 'Times New Roman', Times, serif;
letter-spacing : -1.8px;
color : #044056;
text-decoration : none;
text-transform : capitalize;
top : 51px;
left : 735px;
}
#header-wrap h1#logo-text a:hover {
color : #044856;
background : none;
border : none;
}
#header-wrap p#intro {
position : absolute;
margin : 0;
padding : 0;
font-family : georgia, "Trebuchet MS", 'Times New Roman', Times, serif;
font-weight : normal;
font-size : 14px;
line-height : 1.6em;
text-transform : none;
color : #044056;
width : 200px;
top : 81px;
left : 735px;
}
#header-search {
width : 200px;
background : #dce1bd;
}
#header-wrap form#quick-search {
position : absolute;
top : 7px;
right : 55px;
padding : 0;
margin : 0;
width : 188px;
height : 25px;
background : url(images/searchbg.png);
z-index : 999999;
border : 0 solid #d8d8d8;
}
#header-wrap form#quick-search p {
margin : 0;
padding : 0;
}
#header-wrap form#quick-search .tbox {
margin : 2px 0 0 4px;
width : 410px;
border : none;
color : #fff;
font-size : 10px;
}
#header-wrap form#quick-search label, #header-wrap form#quick-search .btn {
display : none;
}
#content-outer {
margin : 0 auto;
background : #f0f4d4;
width : 1005px;
}
#content-wrapper {
padding-top : 115px;
width : 1005px;
margin : 0 auto;
text-align : left;
}
#content-feed {
width : 1000px;
margin : 0 auto;
padding : 5px 1px 10px 5px;
text-align : left;
}
#content {
float : left;
width : 100%;
background : #f0f4d4 url(images/content-bg.jpg) no-repeat;
}
.col-one {
margin-right : 380px;
padding-left : 20px;
}
.col-mid {
float : right;
width : 350px;
margin-left : -365px;
margin-top : 12px;
margin-bottom : 12px;
padding-right : 10px;
}
.col-two {
float : left;
width : 320px;
margin-top : 5px;
}
.col-three {
float : right;
width : 320px;
margin-top : 12px;
}
.col-one, .col-two, .col-three {
padding-bottom : 10px;
}
#content .col-one h2 {
padding-bottom : 3px;
font : normal 2.1em georgia, "Trebuchet MS", Tahoma, Arial, Sans-serif;
color : #1c2202;
letter-spacing : -2px;
text-transform : none;
border-bottom : 1px solid #ebebeb;
margin-left : 5px;
padding-left : 5px;
}
#content .col-one h2 a {
color : #1c2202;
text-decoration : none;
background : none;
border : none;
}
#content .col-one h2 a:hover {
color : #747b43;
}
#content .col-one ul li {
list-style-image : url(images/bullet.gif);
}
#content-wrapper .col-mid h2, #content-wrapper .col-two h2, #content-wrapper .col-three h2 {
width : 240px;
background : #dce1bd;
color : #4e5139;
font : normal 12px georgia, "Trebuchet MS", Tahoma, Arial, sans-serif;
text-transform : uppercase;
letter-spacing : -0.5px;
padding : 5px 10px;
margin : 15px 0 5px 0;
}
ul.sidemenu {
text-align : left;
margin : 3px 5px 3px 40px;
padding : 0;
text-decoration : none;
background : url(images/dots1.gif) repeat-x left top;
}
ul.sidemenu li {
list-style : none;
background : url(images/dots1.gif) repeat-x left bottom;
padding : 2px 10px;
margin : 0;
}
* html body ul.sidemenu li {
height : 1%;
}
ul.sidemenu li a {
text-decoration : none;
background-image : none;
background-color : transparent;
border : none;
color : #6a6a6a;
}
ul.sidemenu li a span {
color : #989898;
font-family : Georgia, "Times New Roman", Times, serif;
font-style : italic;
font-weight : normal;
font-size : 1em;
}
ul.sidemenu li a:hover {
color : #333;
background : none;
border : none;
text-decoration : underline;
}
ul.sidemenu ul {
margin : 0 0 0 5px;
padding : 0;
}
ul.sidemenu ul li {
background : none;
}
#footer-wrapper {
background : #9aa266;
clear : both;
width : 1005px;
margin : 0 auto;
text-align : left;
font : normal 1em/1.6em 'Trebuchet MS', Tahoma, Sans-serif;
}
#footer-wrapper h3, #footer-wrapper p {
padding-left : 0;
}
#footer-wrapper h3 {
font : normal 1.6em/1.6em 'Trebuchet MS', Tahoma, Arial, Sans-serif;
color : #ababab;
}
#footer-wrapper a {
color : #fff;
background : transparent;
}
#footer-wrapper ul.footer-list {
list-style : none;
padding : 0;
margin : 0;
}
#footer-wrapper ul.footer-list li {
margin : 0;
padding : 0;
margin-left : 0;
padding-left : 0;
}
#footer-wrapper ul.footer-list li li {
border-bottom : 1px solid #c9d28e;
}
#footer-wrapper ul.footer-list li a, #footer-wrapper ul.footer-list li li a {
display : block;
width : 100%;
line-height : normal;
font-weight : bold;
padding : 4px 0;
border : none;
margin-left : 0;
padding-left : 0;
color : #000000;
text-decoration : none;
}
#footer-wrapper ul.footer-list li a span, #footer-wrapper ul.footer-list li li a span {
color : #000;
font-style : italic;
font-weight : normal;
font-family : Georgia, 'Times New Roman', Times, serif;
text-decoration : none;
}
#footer-wrapper ul.footer-list li a:hover, #footer-wrapper ul.footer-list li li a:hover, #footer-wrapper ul.footer-list li a:hover span, #footer-wrapper ul.footer-list li li a:hover span {
color : #fff;
text-decoration : underline;
}
#footer {
background : #b6c073;
float : left;
width : 100%;
padding : 0;
margin-left : 0;
margin-top : 0;
padding-bottom : 15px;
}
#footer-bottom {
clear : both;
width : 1005px;
margin : 0 auto;
color : #ffffff;
}
#footer-bottom .bottom-left a {
color : #ffffff;
font-weight : bold;
text-decoration : none;
background : transparent;
}
#footer-bottom .bottom-left a:hover {
color : #222;
font-weight : bold;
text-decoration : underline;
background : transparent;
}
#footer-bottom .bottom-right a {
color : #ffffff;
font-weight : bold;
text-decoration : none;
background : transparent;
}
#footer-bottom .bottom-right a:hover {
color : #222;
font-weight : bold;
text-decoration : underline;
background : transparent;
}
#footer-bottom .bottom-left {
float : left;
padding-left : 15px;
font-size : 95%;
}
#footer-bottom .bottom-right {
text-align : right;
font-size : 95%;
}
.bottom-col-one {
width : 32%;
float : left;
}
.bottom-col-two {
width : 32%;
float : left;
}
.bottom-col-three {
width : 32%;
float : left;
}
.postmeta {
padding : 5px;
margin : 20px 10px 15px 10px;
font-size : 1em;
color : #c9c9c9;
border : 1px solid #f0f0f0;
background : #484848;
}
.postmeta a {
color : #fff;
background : transparent;
}
.postmeta .date {
margin : 0 10px 0 5px;
}
.postmeta a.comments {
margin : 0 10px 0 5px;
}
.postmeta a.readmore {
margin : 0 10px 0 5px;
}
.post-info {
font-size : 0.95em;
padding-top : 3px;
margin-left : 5px;
color : #bababa;
}
.post-info a {
color : #000;
}
p.thumbs {
padding : 12px 0 0 10px;
}
.thumbs img {
position : relative;
padding : 4px;
margin : 5px;
background : #fafafa;
border : 1px solid #dcdcdc;
}
.thumbs img:hover {
border : 1px solid #8e8e8e;
background : #8e8e8e;
}
.thumbs a:hover {
background-color : transparent;
border : none;
}
.float-left {
float : left;
}
.float-right {
float : right;
}
.align-left {
text-align : left;
}
.align-right {
text-align : right;
}
.clearer {
clear : both;
}
.clear {
display : inline-block;
}
.clear:after {
display : block;
visibility : hidden;
clear : both;
height : 0;
content : ".";
}
.clearsmall {
padding-bottom : 10px;
}
.float-left {
float : left;
}
.float-right {
float : right;
}
.align-left {
text-align : left;
}
.align-right {
text-align : right;
}
.clearer {
clear : both;
}
.col-mid .sponsors img.ml {
margin-bottom : 4px;
padding : 1px;
margin-right : 4px;
overflow : hidden;
}
img a {
border : none;
}
img {
border : 0;
}
.clearhigh {
clear : both;
display : block;
height : 10px;
overflow : hidden;
margin : 0;
padding : 0;
}
.clear {
display : inline-block;
}
.clear:after {
display : block;
visibility : hidden;
clear : both;
height : 0;
content : ".";
}
.tab_container {
margin : 0 10px;
padding : 0;
border : 5px solid #000;
}
.tab_container_in {
margin : 0;
padding : 10px 0;
border-left : 1px solid #dddddd;
border-top : 1px solid #dddddd;
border-right : 1px solid #cccccc;
border-bottom : 1px solid #cccccc;
}
.tab_menu_container {
margin : 0 10px;
padding : 0 0 0 0;
height : 30px;
background-color : #000;
}
#tab_menu li {
margin : 0;
padding : 5px 5px 2px 0;
font-size : 11px;
line-height : normal;
float : left;
list-style : none;
cursor : pointer;
border-bottom : none;
}
#tab_menu .first {
padding : 5px 5px 2px 6px;
}
#tab_menu li a, #tab_menu li a:visited {
margin : 0;
padding : 3px 6px 3px 6px;
color : #ffffff;
text-decoration : none;
display : block;
}
#tab_menu li a:hover, #tab_menu li a.current {
background-color : #fff;
color : #000000;
text-decoration : none;
}
.tab_content_list {
display : none;
}
#tab_content_tags a, #tab_content_tags a:visited {
color : #fff;
text-decoration : none;
}
#tab_content_tags a:hover {
color : #ffffff;
text-decoration : none;
}
.tab_container ul {
list-style : none;
}
#comments {
clear : both;
background : #f8faec;
padding : 15px;
}
#comments a, #comments a:hover {
text-decoration : none;
}
#comments h2 {
margin : 0;
color : #333;
}
#comments dl {
margin : 0;
padding : 0;
}
#comments dt {
padding : 8px 0 0 0;
font-size : 1.2em;
border-top : 1px dotted #99c;
color : #b6c073;
}
#comments dt.highlighted {
padding : 8px;
background : #fc0;
border : 4px solid #fff;
}
#comments dd.highlighted {
background : #fff;
padding : 2px 8px;
}
#comments h3, #postComment h3 {
padding : 0;
margin : 0 0 15px 0;
color : #ccc;
}
#postComment {
background : #f1f3e1;
padding : 15px;
}
#postComment label {
width : 320px;
display : block;
float : left;
clear : both;
margin : 5px 0 0 0;
}
#postComment input, #postComment textarea {
margin : 5px 0 0 0;
width : 347px;
}
#postComment textarea {
background : #f9f9f9;
height : 160px;
}
#postComment .button {
padding : 5px;
clear : both;
width : 100px;
margin : 10px 0 0 0;
}
#comments a {
background : none;
}
.mailspace {
height : 100px;
}
.col-mid .sponsors img.ml {
margin-bottom : 4px;
padding : 1px;
margin-right : 4px;
overflow : hidden;
}
img a {
border : none;
}
.clearhigh {
clear : both;
display : block;
height : 10px;
overflow : hidden;
margin : 0;
padding : 0;
}
.clear {
display : inline-block;
}
.clear:after {
display : block;
visibility : hidden;
clear : both;
height : 0;
content : ".";
}
#box-ads {
margin : 0;
padding : 1px 0 0 30px;
float : left;
width : 255px;
}
#box-ads .top-tab {
float : left;
height : 35px;
width : 255px;
}
#box-ads .tab-content {
float : left;
width : 225px;
padding : 0;
}
#box-ads .tab-content h3 {
font : bold 14px 'Trebuchet MS', georgia, arial;
line-height : 23px;
color : #0c86ae;
margin : 0;
padding-left : 18px;
float : left;
width : 255px;
text-transform : uppercase;
}
#box-ads .bot-tab {
float : left;
height : 22px;
width : 388px;
}
.adsponsor {
margin : 0;
padding : 10px 20px;
float : left;
width : 225px;
}
.adsponsor img {
padding : 5px;
border : 0 solid #cccccc;
margin-right : 20px;
margin-bottom : 0;
}
.adsponsor p {
font-size : 12px;
margin : 10px 0 0;
padding : 5px;
float : left;
width : 225px;
font-weight : bold;
color : #000000;
}
.adsponsor p a {
color : #006699;
text-decoration : underline;
}
.adsponsor img:hover {
padding : 5px;
border : 0 solid #999999;
margin-right : 20px;
margin-bottom : 0;
}
#subrss {
background : url(images/rss_subscribe.jpg) no-repeat;
margin : 0;
padding : 1px 0 0 45px;
float : right;
height : 34px;
width : 266px;
font-size : 11px;
line-height : 18px;
color : #333333;
font-weight : bold;
}
#subrss a {
color : #006699;
text-decoration : underline;
}
#subrss img {
border-width : 0;
margin-bottom : 10px;
}
.email-subscriptions {
margin : 0;
padding : 1px 0 20px 45px;
float : left;
width : 250px;
}
.email-subscriptions form {
float : left;
width : 240px;
background : #8bbf0d;
padding-top : 10px;
padding-bottom : 10px;
margin : 0;
}
.email-subscriptions h5 {
font-size : 17px;
margin : 0 0 4px;
padding-left : 5px;
float : left;
width : 268px;
color : #056070;
font-weight : normal;
line-height : 21px;
}
.email-subscriptions p {
margin : 0 4px 0 0;
padding : 0;
float : left;
}
.email-subscriptions .feedbox {
width : 137px;
border-top : 1px solid #fff;
border-right : 1px solid #fff;
border-bottom : 1px solid #fff;
border-left : 1px solid #fff;
margin-left : 5px;
padding-left : 5px;
float : left;
font-family : Georgia, "Times New Roman", Helvetica, sans-serif;
color : #000;
font-size : 12px;
background : #e9f5cc url(images/socials/email.gif) no-repeat 130px center;
}
.email-subscriptions .feed-submit {
background : #303030;
color : #fff;
padding : 5px;
border : none;
font-size : 11px;
}
.recentcomments a {
display : inline !important ;
padding : 0 !important ;
margin : 0 !important ;
}
.recentcomments a {
display : inline !important ;
padding : 0 !important ;
margin : 0 !important ;
}
.recentcomments a {
display : inline !important ;
padding : 0 !important ;
margin : 0 !important ;
}
.recentcomments a {
display : inline !important ;
padding : 0 !important ;
margin : 0 !important ;
}
* {
margin : 0;
padding : 0;
outline : 0;
}
body {
font : 12px/165% arial;
color : #222;
margin : 0;
padding : 0 0 50px 0;
background : #1c2202;
text-align : center;
}
.mailsub {
color : #000;
}
.mailsub fieldset {
border : none;
padding : 0;
margin : 0;
}
.mailsub form {
padding : 0 0 0 0;
margin : 0 0 0 0;
border : none;
}
.mailsub input {
color : #666;
font-size : 12px;
}
.mailsub input.mail {
width : 205px;
background : url(./images/subbut.jpg) no-repeat;
}
.mailsub input.searchIE {
width : 32px;
height : 29px;
background : url(./images/subbut.jpg) no-repeat 0 -79px;
}
* html #buttonsearch {
margin : -29px 0 0 216px;
}
#buttonsearch {
padding : 0;
margin : -28px 0 0 216px;
top : 0;
background : none;
}
.author {
padding-left : 11px;
}
.top_comments {
float : right;
padding-top : 5px;
}
.subscribebg {
background : url(images/textbg.jpg) no-repeat;
border : none;
width : 216px;
}
input.subscribe {
margin-left : 32px;
background : transparent;
width : 160px;
padding-left : 5px;
color : #666;
border : none;
}
.subbut {
float : right;
vertical-align : top;
border : 0;
}
.mailbg {
height : 87px;
width : 403px;
background : url(images/mailbg.jpg) repeat-x;
}
a {
text-decoration : underline;
color : #7b3c32;
}
a:hover {
color : #22020c;
text-decoration : none;
}
h1, h2, h3 {
font : bold 1em/1.5em georgia;
color : #e0ebb3;
padding : 15px 10px 5px 10px;
margin : 0;
}
h1 {
font-size : 245%;
font-weight : normal;
letter-spacing : -2px;
}
h2 {
font-size : 180%;
padding-left : 40px;
font-weight : normal;
}
h3 {
font-size : 170%;
font-weight : normal;
}
h4 {
font-size : 120%;
font-weight : normal;
}
h5 {
font-size : 120%;
font-weight : normal;
}
h6 {
font-size : 100%;
font-weight : normal;
}
p, dl {
padding : 10px;
margin : 0;
}
ul, ol {
margin : 10px 20px;
padding : 0 20px;
}
ul {
list-style : none;
}
dt {
font-weight : bold;
color : #895f30;
}
dd {
padding-left : 25px;
}
.col-one img {
background : #fafafa;
border : 1px solid #dcdcdc;
margin : 3px;
padding : 2px;
}
img.float-right {
margin : 5px 0 10px 10px;
}
img.float-left {
margin : 5px 10px 10px 0;
}
code {
margin : 5px 0;
padding : 15px;
text-align : left;
display : block;
overflow : auto;
font : 500 1em/1.5em 'Lucida Console', 'courier new', monospace;
border : 1px solid #ebebeb;
background : #f0f0f0;
}
acronym {
cursor : help;
border-bottom : 1px dotted #895f30;
}
blockquote {
margin : 15px 10px;
padding : 10px 10px 10px 35px;
background : #f1f3e1 url(images/quote.jpg) no-repeat 10px 10px;
font-weight : normal;
font-size : 11px;
line-height : 1.5em;
font-style : normal;
border : 1px solid #edefe0;
font-family : Georgia, "Times New Roman", Times, serif;
color : #555;
}
table {
border-collapse : collapse;
margin : 15px 1px;
}
th {
color : #555;
background : #e6e6e6;
height : 38px;
padding-left : 12px;
padding-right : 12px;
text-align : left;
border-width : 1px;
border-style : solid;
border-color : #ebebeb #d4d4d4 #d4d4d4 #ebebeb;
}
tr {
height : 34px;
background : #fff;
}
td {
padding-left : 0;
padding-right : 0;
border : 0 solid #ececec;
}
form {
margin : 15px 10px;
padding : 5px 10px 20px 10px;
border : 1px solid #f1f1f1;
background : #fdfdfd;
}
label {
display : block;
font-weight : bold;
margin : 8px 0 5px 0;
color : #b2b59e;
}
input, select {
padding : 4px;
font : normal 1em Verdana, sans-serif;
color : #666666;
background : #fff;
}
textarea {
width : 350px;
padding : 4px;
font : normal 1em Verdana, sans-serif;
height : 100px;
display : block;
color : #333;
}
input, textarea, select {
background : #fff;
border-width : 1px;
border-style : solid;
border-color : #d4d4d4 #ebebeb #ebebeb #d4d4d4;
}
input.button {
font : bold 12px Arial, Sans-serif;
height : 30px;
margin : 0;
padding : 2px 3px;
color : #eee;
background : #484848;
border-width : 1px;
border-style : solid;
border-color : #484848 #484848 #484848 #484848;
}
.search_top {
position : relative;
background-color : transparent;
border : none;
margin : 0;
padding : 12px 0 15px 8px;
width : 190px;
left : 51px;
}
.rss_icon {
position : relative;
margin-top : -17px;
padding-left : 18px;
border : none;
width : 21px;
height : 21px;
color : #fff;
left : 211px;
}
.rss {
position : relative;
margin-top : -20px;
background-color : transparent;
border : none;
width : 150px;
color : #fff;
left : 250px;
}
.rss a {
color : #f1f5cf;
font : 12px "trebuchet MS", georgia, verdana, arial;
}
.rss a:hover {
color : #fff;
text-decoration : underline;
}
.searchform {
color : #f1f5cf;
position : relative;
background-color : transparent;
border : none;
margin : 0;
padding : 12px 0 15px 8px;
width : 190px;
top : 10px;
left : 21px;
}
.searchform p {
margin : 0;
padding : 0 0 10px 0;
}
.searchform input.textbox {
width : 145px;
color : #666666;
height : 18px;
padding : 2px;
vertical-align : top;
}
.searchform input.button {
width : 60px;
height : 24px;
padding : 2px 5px;
vertical-align : top;
}
#header-wrap {
position : relative;
background : #fff;
margin : 0 auto;
width : 1005px;
height : 260px;
text-align : left;
}
#header-photo {
position : absolute;
top : 0;
left : 0;
padding : 0;
height : 351px;
width : 1005px;
clear : both;
background : #fff url(images/header.jpg) no-repeat;
}
#header-photo img {
border : none;
margin : 0;
padding : 0;
}
#nav {
position : absolute;
margin : 0;
padding : 0;
width : 974px;
left : 27px;
top : 287px;
}
#nav ul {
float : left;
list-style : none;
width : 974px;
height : 20px;
margin : 0;
padding : 0;
display : inline;
}
#nav ul li {
display : inline;
margin : 0;
padding : 0;
}
#nav ul li a {
float : left;
margin : 0;
font : bold 12px/35px 'Trebuchet MS', Tahoma, Helvetica, Arial, Geneva, Sans-serif;
color : #c3cc89;
padding : 18px 11px 0 11px;
text-decoration : none;
text-transform : uppercase;
}
#nav ul li a:hover, #nav ul li a:active {
color : #e1e6c2;
background : none;
border : none;
}
#nav ul li.current_page_item a {
color : #e1e6c2;
border-bottom : 1px solid #fff;
}
#menu ul li.current_page_item a, #menu ul li.current_page_item a:hover {
color : #e1e6c2;
border-bottom : 1px solid #e1e6c2;
}
#nav span.feed {
padding : 0 18px 0 0;
background : url(images/feed.gif) no-repeat right center;
}
#header-wrap h1#logo-text a {
position : absolute;
margin : 0;
padding : 0;
font : normal 24px georgia, 'trebuchet MS', 'Times New Roman', Times, serif;
letter-spacing : -1.8px;
color : #044056;
text-decoration : none;
text-transform : capitalize;
top : 51px;
left : 735px;
}
#header-wrap h1#logo-text a:hover {
color : #044856;
background : none;
border : none;
}
#header-wrap p#intro {
position : absolute;
margin : 0;
padding : 0;
font-family : georgia, "Trebuchet MS", 'Times New Roman', Times, serif;
font-weight : normal;
font-size : 14px;
line-height : 1.6em;
text-transform : none;
color : #044056;
width : 200px;
top : 81px;
left : 735px;
}
#header-search {
width : 200px;
background : #dce1bd;
}
#header-wrap form#quick-search {
position : absolute;
top : 7px;
right : 55px;
padding : 0;
margin : 0;
width : 188px;
height : 25px;
background : url(images/searchbg.png);
z-index : 999999;
border : 0 solid #d8d8d8;
}
#header-wrap form#quick-search p {
margin : 0;
padding : 0;
}
#header-wrap form#quick-search .tbox {
margin : 2px 0 0 4px;
width : 410px;
border : none;
color : #fff;
font-size : 10px;
}
#header-wrap form#quick-search label, #header-wrap form#quick-search .btn {
display : none;
}
#content-outer {
margin : 0 auto;
background : #f0f4d4;
width : 1005px;
}
#content-wrapper {
padding-top : 115px;
width : 1005px;
margin : 0 auto;
text-align : left;
}
#content-feed {
width : 1000px;
margin : 0 auto;
padding : 5px 1px 10px 5px;
text-align : left;
}
#content {
float : left;
width : 100%;
background : #f0f4d4 url(images/content-bg.jpg) no-repeat;
}
.col-one {
margin-right : 380px;
padding-left : 20px;
}
.col-mid {
float : right;
width : 350px;
margin-left : -365px;
margin-top : 12px;
margin-bottom : 12px;
padding-right : 10px;
}
.col-two {
float : left;
width : 320px;
margin-top : 5px;
}
.col-three {
float : right;
width : 320px;
margin-top : 12px;
}
.col-one, .col-two, .col-three {
padding-bottom : 10px;
}
#content .col-one h2 {
padding-bottom : 3px;
font : normal 2.1em georgia, "Trebuchet MS", Tahoma, Arial, Sans-serif;
color : #1c2202;
letter-spacing : -2px;
text-transform : none;
border-bottom : 1px solid #ebebeb;
margin-left : 5px;
padding-left : 5px;
}
#content .col-one h2 a {
color : #1c2202;
text-decoration : none;
background : none;
border : none;
}
#content .col-one h2 a:hover {
color : #747b43;
}
#content .col-one ul li {
list-style-image : url(images/bullet.gif);
}
#content-wrapper .col-mid h2, #content-wrapper .col-two h2, #content-wrapper .col-three h2 {
width : 240px;
background : #dce1bd;
color : #4e5139;
font : normal 12px georgia, "Trebuchet MS", Tahoma, Arial, sans-serif;
text-transform : uppercase;
letter-spacing : -0.5px;
padding : 5px 10px;
margin : 15px 0 5px 0;
}
ul.sidemenu {
text-align : left;
margin : 3px 5px 3px 40px;
padding : 0;
text-decoration : none;
background : url(images/dots1.gif) repeat-x left top;
}
ul.sidemenu li {
list-style : none;
background : url(images/dots1.gif) repeat-x left bottom;
padding : 2px 10px;
margin : 0;
}
* html body ul.sidemenu li {
height : 1%;
}
ul.sidemenu li a {
text-decoration : none;
background-image : none;
background-color : transparent;
border : none;
color : #6a6a6a;
}
ul.sidemenu li a span {
color : #989898;
font-family : Georgia, "Times New Roman", Times, serif;
font-style : italic;
font-weight : normal;
font-size : 1em;
}
ul.sidemenu li a:hover {
color : #333;
background : none;
border : none;
text-decoration : underline;
}
ul.sidemenu ul {
margin : 0 0 0 5px;
padding : 0;
}
ul.sidemenu ul li {
background : none;
}
#footer-wrapper {
background : #9aa266;
clear : both;
width : 1005px;
margin : 0 auto;
text-align : left;
font : normal 1em/1.6em 'Trebuchet MS', Tahoma, Sans-serif;
}
#footer-wrapper h3, #footer-wrapper p {
padding-left : 0;
}
#footer-wrapper h3 {
font : normal 1.6em/1.6em 'Trebuchet MS', Tahoma, Arial, Sans-serif;
color : #ababab;
}
#footer-wrapper a {
color : #fff;
background : transparent;
}
#footer-wrapper ul.footer-list {
list-style : none;
padding : 0;
margin : 0;
}
#footer-wrapper ul.footer-list li {
margin : 0;
padding : 0;
margin-left : 0;
padding-left : 0;
}
#footer-wrapper ul.footer-list li li {
border-bottom : 1px solid #c9d28e;
}
#footer-wrapper ul.footer-list li a, #footer-wrapper ul.footer-list li li a {
display : block;
width : 100%;
line-height : normal;
font-weight : bold;
padding : 4px 0;
border : none;
margin-left : 0;
padding-left : 0;
color : #000000;
text-decoration : none;
}
#footer-wrapper ul.footer-list li a span, #footer-wrapper ul.footer-list li li a span {
color : #000;
font-style : italic;
font-weight : normal;
font-family : Georgia, 'Times New Roman', Times, serif;
text-decoration : none;
}
#footer-wrapper ul.footer-list li a:hover, #footer-wrapper ul.footer-list li li a:hover, #footer-wrapper ul.footer-list li a:hover span, #footer-wrapper ul.footer-list li li a:hover span {
color : #fff;
text-decoration : underline;
}
#footer {
background : #b6c073;
float : left;
width : 100%;
padding : 0;
margin-left : 0;
margin-top : 0;
padding-bottom : 15px;
}
#footer-bottom {
clear : both;
width : 1005px;
margin : 0 auto;
color : #ffffff;
}
#footer-bottom .bottom-left a {
color : #ffffff;
font-weight : bold;
text-decoration : none;
background : transparent;
}
#footer-bottom .bottom-left a:hover {
color : #222;
font-weight : bold;
text-decoration : underline;
background : transparent;
}
#footer-bottom .bottom-right a {
color : #ffffff;
font-weight : bold;
text-decoration : none;
background : transparent;
}
#footer-bottom .bottom-right a:hover {
color : #222;
font-weight : bold;
text-decoration : underline;
background : transparent;
}
#footer-bottom .bottom-left {
float : left;
padding-left : 15px;
font-size : 95%;
}
#footer-bottom .bottom-right {
text-align : right;
font-size : 95%;
}
.bottom-col-one {
width : 32%;
float : left;
}
.bottom-col-two {
width : 32%;
float : left;
}
.bottom-col-three {
width : 32%;
float : left;
}
.postmeta {
padding : 5px;
margin : 20px 10px 15px 10px;
font-size : 1em;
color : #c9c9c9;
border : 1px solid #f0f0f0;
background : #484848;
}
.postmeta a {
color : #fff;
background : transparent;
}
.postmeta .date {
margin : 0 10px 0 5px;
}
.postmeta a.comments {
margin : 0 10px 0 5px;
}
.postmeta a.readmore {
margin : 0 10px 0 5px;
}
.post-info {
font-size : 0.95em;
padding-top : 3px;
margin-left : 5px;
color : #bababa;
}
.post-info a {
color : #000;
}
p.thumbs {
padding : 12px 0 0 10px;
}
.thumbs img {
position : relative;
padding : 4px;
margin : 5px;
background : #fafafa;
border : 1px solid #dcdcdc;
}
.thumbs img:hover {
border : 1px solid #8e8e8e;
background : #8e8e8e;
}
.thumbs a:hover {
background-color : transparent;
border : none;
}
.float-left {
float : left;
}
.float-right {
float : right;
}
.align-left {
text-align : left;
}
.align-right {
text-align : right;
}
.clearer {
clear : both;
}
.clear {
display : inline-block;
}
.clear:after {
display : block;
visibility : hidden;
clear : both;
height : 0;
content : ".";
}
.clearsmall {
padding-bottom : 10px;
}
.float-left {
float : left;
}
.float-right {
float : right;
}
.align-left {
text-align : left;
}
.align-right {
text-align : right;
}
.clearer {
clear : both;
}
.col-mid .sponsors img.ml {
margin-bottom : 4px;
padding : 1px;
margin-right : 4px;
overflow : hidden;
}
img a {
border : none;
}
img {
border : 0;
}
.clearhigh {
clear : both;
display : block;
height : 10px;
overflow : hidden;
margin : 0;
padding : 0;
}
.clear {
display : inline-block;
}
.clear:after {
display : block;
visibility : hidden;
clear : both;
height : 0;
content : ".";
}
.tab_container {
margin : 0 10px;
padding : 0;
border : 5px solid #000;
}
.tab_container_in {
margin : 0;
padding : 10px 0;
border-left : 1px solid #dddddd;
border-top : 1px solid #dddddd;
border-right : 1px solid #cccccc;
border-bottom : 1px solid #cccccc;
}
.tab_menu_container {
margin : 0 10px;
padding : 0 0 0 0;
height : 30px;
background-color : #000;
}
#tab_menu li {
margin : 0;
padding : 5px 5px 2px 0;
font-size : 11px;
line-height : normal;
float : left;
list-style : none;
cursor : pointer;
border-bottom : none;
}
#tab_menu .first {
padding : 5px 5px 2px 6px;
}
#tab_menu li a, #tab_menu li a:visited {
margin : 0;
padding : 3px 6px 3px 6px;
color : #ffffff;
text-decoration : none;
display : block;
}
#tab_menu li a:hover, #tab_menu li a.current {
background-color : #fff;
color : #000000;
text-decoration : none;
}
.tab_content_list {
display : none;
}
#tab_content_tags a, #tab_content_tags a:visited {
color : #fff;
text-decoration : none;
}
#tab_content_tags a:hover {
color : #ffffff;
text-decoration : none;
}
.tab_container ul {
list-style : none;
}
#comments {
clear : both;
background : #f8faec;
padding : 15px;
}
#comments a, #comments a:hover {
text-decoration : none;
}
#comments h2 {
margin : 0;
color : #333;
}
#comments dl {
margin : 0;
padding : 0;
}
#comments dt {
padding : 8px 0 0 0;
font-size : 1.2em;
border-top : 1px dotted #99c;
color : #b6c073;
}
#comments dt.highlighted {
padding : 8px;
background : #fc0;
border : 4px solid #fff;
}
#comments dd.highlighted {
background : #fff;
padding : 2px 8px;
}
#comments h3, #postComment h3 {
padding : 0;
margin : 0 0 15px 0;
color : #ccc;
}
#postComment {
background : #f1f3e1;
padding : 15px;
}
#postComment label {
width : 320px;
display : block;
float : left;
clear : both;
margin : 5px 0 0 0;
}
#postComment input, #postComment textarea {
margin : 5px 0 0 0;
width : 347px;
}
#postComment textarea {
background : #f9f9f9;
height : 160px;
}
#postComment .button {
padding : 5px;
clear : both;
width : 100px;
margin : 10px 0 0 0;
}
#comments a {
background : none;
}
.mailspace {
height : 100px;
}
.col-mid .sponsors img.ml {
margin-bottom : 4px;
padding : 1px;
margin-right : 4px;
overflow : hidden;
}
img a {
border : none;
}
.clearhigh {
clear : both;
display : block;
height : 10px;
overflow : hidden;
margin : 0;
padding : 0;
}
.clear {
display : inline-block;
}
.clear:after {
display : block;
visibility : hidden;
clear : both;
height : 0;
content : ".";
}
#box-ads {
margin : 0;
padding : 1px 0 0 30px;
float : left;
width : 255px;
}
#box-ads .top-tab {
float : left;
height : 35px;
width : 255px;
}
#box-ads .tab-content {
float : left;
width : 225px;
padding : 0;
}
#box-ads .tab-content h3 {
font : bold 14px 'Trebuchet MS', georgia, arial;
line-height : 23px;
color : #0c86ae;
margin : 0;
padding-left : 18px;
float : left;
width : 255px;
text-transform : uppercase;
}
#box-ads .bot-tab {
float : left;
height : 22px;
width : 388px;
}
.adsponsor {
margin : 0;
padding : 10px 20px;
float : left;
width : 225px;
}
.adsponsor img {
padding : 5px;
border : 0 solid #cccccc;
margin-right : 20px;
margin-bottom : 0;
}
.adsponsor p {
font-size : 12px;
margin : 10px 0 0;
padding : 5px;
float : left;
width : 225px;
font-weight : bold;
color : #000000;
}
.adsponsor p a {
color : #006699;
text-decoration : underline;
}
.adsponsor img:hover {
padding : 5px;
border : 0 solid #999999;
margin-right : 20px;
margin-bottom : 0;
}
#subrss {
background : url(images/rss_subscribe.jpg) no-repeat;
margin : 0;
padding : 1px 0 0 45px;
float : right;
height : 34px;
width : 266px;
font-size : 11px;
line-height : 18px;
color : #333333;
font-weight : bold;
}
#subrss a {
color : #006699;
text-decoration : underline;
}
#subrss img {
border-width : 0;
margin-bottom : 10px;
}
.email-subscriptions {
margin : 0;
padding : 1px 0 20px 45px;
float : left;
width : 250px;
}
.email-subscriptions form {
float : left;
width : 240px;
background : #8bbf0d;
padding-top : 10px;
padding-bottom : 10px;
margin : 0;
}
.email-subscriptions h5 {
font-size : 17px;
margin : 0 0 4px;
padding-left : 5px;
float : left;
width : 268px;
color : #056070;
font-weight : normal;
line-height : 21px;
}
.email-subscriptions p {
margin : 0 4px 0 0;
padding : 0;
float : left;
}
.email-subscriptions .feedbox {
width : 137px;
border-top : 1px solid #fff;
border-right : 1px solid #fff;
border-bottom : 1px solid #fff;
border-left : 1px solid #fff;
margin-left : 5px;
padding-left : 5px;
float : left;
font-family : Georgia, "Times New Roman", Helvetica, sans-serif;
color : #000;
font-size : 12px;
background : #e9f5cc url(images/socials/email.gif) no-repeat 130px center;
}
.email-subscriptions .feed-submit {
background : #303030;
color : #fff;
padding : 5px;
border : none;
font-size : 11px;
}
.recentcomments a {
display : inline !important ;
padding : 0 !important ;
margin : 0 !important ;
}
.recentcomments a {
display : inline !important ;
padding : 0 !important ;
margin : 0 !important ;
}
.recentcomments a {
display : inline !important ;
padding : 0 !important ;
margin : 0 !important ;
}
.recentcomments a {
display : inline !important ;
padding : 0 !important ;
margin : 0 !important ;
}
.recentcomments a {
display : inline !important ;
padding : 0 !important ;
margin : 0 !important ;
}
